Proxies
Создать прокси
Создать новую конфигурацию прокси. Средства списываются с баланса в соответствии с тарификацией трафика.
Авторизация
bearerAuth АвторизацияBearer <token>
Персональный токен доступа, полученный через POST /v1/auth/token
В: header
Тело запроса
application/json
TypeScript определения
Use the request body type in TypeScript.
Тело ответа
application/json
application/json
application/json
application/json
curl -X POST "https://api.soxway.io/v1/proxies" \ -H "Content-Type: application/json" \ -d '{ "type": "residential", "country": "US", "behavior": "keep" }'{
"message": "string",
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"proxy_id": 116,
"name": "US Residential #1",
"type": "residential",
"country": "US",
"region": "California",
"city": "Los Angeles",
"behavior": "keep",
"rotate_type": "each_request",
"rotate_interval": 10,
"traffic_limit_gb": 5,
"traffic_gb": 1.25,
"host": "v1.soxway.io",
"port_http": 5000,
"port_socks5": 1080,
"proxy_http": "http://user:[email protected]:5000",
"proxy_socks5": "socks5://user:[email protected]:1080",
"traffic_stats": {},
"product": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": 1001,
"message": "Authentication token is missing.",
"description": "Include a Bearer token in the Authorization header.",
"field": "string",
"errors": [
{}
]
}
}{
"error": {
"code": 1001,
"message": "Authentication token is missing.",
"description": "Include a Bearer token in the Authorization header.",
"field": "string",
"errors": [
{}
]
}
}{
"error": {
"code": 1001,
"message": "Authentication token is missing.",
"description": "Include a Bearer token in the Authorization header.",
"field": "string",
"errors": [
{}
]
}
}